package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBCustomerHasCropType entity.
 */
public class TBCustomerHasCropTypeUpdateDTO implements Serializable {

    private Long tbCustomerId;

    private List<ActivityByCropTypeDTO> activityTypeByCropTypeDTOList;

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }

    public List<ActivityByCropTypeDTO> getActivityTypeByCropTypeDTOList() {
        return activityTypeByCropTypeDTOList;
    }

    public void setActivityTypeByCropTypeDTOList(List<ActivityByCropTypeDTO> activityTypeByCropTypeDTOList) {
        this.activityTypeByCropTypeDTOList = activityTypeByCropTypeDTOList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBCustomerHasCropTypeUpdateDTO that = (TBCustomerHasCropTypeUpdateDTO) o;
        return Objects.equals(tbCustomerId, that.tbCustomerId) &&
            Objects.equals(activityTypeByCropTypeDTOList, that.activityTypeByCropTypeDTOList);
    }

    @Override
    public int hashCode() {
        return Objects.hash(tbCustomerId, activityTypeByCropTypeDTOList);
    }

    @Override
    public String toString() {
        return "TBCustomerHasCropTypeUpdateDTO{" +
            "tbCustomerId=" + tbCustomerId +
            ", activityTypeByCropTypeDTOList=" + activityTypeByCropTypeDTOList +
            '}';
    }
}
